//xsetaseta@gmail.com
//Libreria RF24master  2011 J. Coliz <maniacbug@ymail.com>
//    10/12/2017  

#include <SPI.h> 
#include <nRF24L01.h>
#include <RF24.h>

  #define CE 8
  #define CSN 7

  RF24 radio(CE, CSN);

  const uint64_t tuberia = 0xE8E8F0F0E1LL;

  char dato[10];
  
  #define PIN_ANA0 A0
  #define PIN_ANA1 A1

  #define PIN_D02 2
  #define PIN_D03 3
  #define PIN_D04 4
  #define PIN_D05 5

  int   z,z1;
  int  vol0,vol1;
  
  void setup() 
  {
    Serial.begin(9600);
    pinMode(PIN_D02,INPUT);
    pinMode(PIN_D03,INPUT);
    pinMode(PIN_D04,INPUT);
    pinMode(PIN_D05,INPUT);
    
    pinMode(PIN_ANA0,INPUT);
    pinMode(PIN_ANA1,INPUT);
    
    Serial.println("Emisor COCHE");
    radio.begin(); 
    radio.setChannel(50); 	
    radio.openWritingPipe(tuberia); 	
  }
  
void loop(void)
{ 
  delay(50);
  
  vol0= analogRead(PIN_ANA0);
  vol1= analogRead(PIN_ANA1);
  vol0=vol0>>2;
  vol1=vol1>>2;
  z=128-vol1;
  z1=vol1-128;
  vol1=vol0+z1;
  vol0=vol0+z;
  
  if(digitalRead(PIN_D02))
      {
        velocidad();
        strcpy(dato,"IZQUI_"); enviarS();     
      }
      
  if(digitalRead(PIN_D03))
      {
        velocidad();
        strcpy(dato,"ADELA_"); enviarS();     
      }
  if(digitalRead(PIN_D04))
      {
        velocidad();
        strcpy(dato,"ATRAS_"); enviarS();     
      }
      
  if(digitalRead(PIN_D05))
      {
        velocidad();
        strcpy(dato,"DEREC_"); enviarS();     
      }
}

void velocidad()
{
      sprintf(dato,"A0=%d",vol0); enviarS();
      sprintf(dato,"A1=%d",vol1); enviarS();
}


void enviarS()
{
     radio.write(dato, 7); 
     Serial.println(dato);
     delay(10);
}
